develooper Front page | perl.perl5.porters | Postings from February 2015

[perl #123879] Bleadperl between v5.21.7-259-g819b139 and v5.21.7-435-gdf3c16d broke RIBASUSHI/DBIx-Class-TimeStamp-0.14.tar.gz

Thread Previous | Thread Next
From:
Tony Cook via RT
Date:
February 24, 2015 00:55
Subject:
[perl #123879] Bleadperl between v5.21.7-259-g819b139 and v5.21.7-435-gdf3c16d broke RIBASUSHI/DBIx-Class-TimeStamp-0.14.tar.gz
Message ID:
rt-4.0.18-17196-1424739294-828.123879-15-0@perl.org
On Sun Feb 22 22:17:05 2015, andreas.koenig.7os6VVqR@franz.ak.mind.de wrote:
> >>>>> On Sun, 22 Feb 2015 20:00:00 -0800, "Tony Cook via RT" <perlbug-
> >>>>> followup@perl.org> said:
> 
> tc> On Wed Feb 18 23:20:57 2015,
> tc> andreas.koenig.7os6VVqR@franz.ak.mind.de wrote:
> >> bisect
> >> ------
> >> It started to fail with v5.21.7-259-g819b139 but when that one was
> >> reverted in v5.21.7-435-gdf3c16d it remained broken.
> >>
> >> The brokenness only occurs for perls compiled with -Duselongdouble.
> 
> tc> It was reverted in v5.21.7-436-g13c59d4 not v5.21.7-435-gdf3c16d.
> 
> Thanks for the corection.
> 
> tc> I can't reproduce the failure in v5.21.9-22-gf266b74 (blead) or in
> tc> v5.21.7-436-g13c59d4.
> 
> Quite surprising for me.
> 
> tc> I built both with:
> 
> tc> ./Configure -Dprefix=/home/tony/perl/blead -Uversiononly -Dusedevel
> tc> -des -Ui_db -Uuseithreads -Duselongdouble -DDEBUGGING=-g
> 
> Thanks for trying. I cannot explain. I still see the fail with
> v5.21.9-24-gf4460c6.
> 
> Can you compare you system with
> 
> http://www.cpantesters.org/cpan/report/cf50d412-a699-11e4-9e0e-
> 9e908971dd2f

A newer compiler did the trick.

Tony


---
via perlbug:  queue: perl5 status: open
https://rt.perl.org/Ticket/Display.html?id=123879

Thread Previous | Thread Next


nntp.perl.org: Perl Programming lists via nntp and http.
Comments to Ask Bjørn Hansen at ask@perl.org | Group listing | About